Subject: Re: bug#76525: Warnings given when emacs is installed in a directory containing non-ASCII characters on Windows

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Feb 2025 15:36:54 +0200

> From: Sc Sg <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 26 Feb 2025 00:22:12 +0100
> 
> The real directory shows in explorer is C:\Users\שזדס\scoop\apps\emacs\current\bin
> 
> I tried the following:
> * Setting the codepage to 1255; did nothing
> * Changing the locale to Hebrew within Control Panel: here's the console output after I changed it:

OK.  So then the only way to avoid this problem is to find a build of
Emacs 31 from the master branch, where this problem is supposed to be
fixed.  Or build Emacs yourself.  Or wait for Emacs 30.2, since I've
now backported the fix from the master branch.

Sorry.